be.fgov.ehealth.hubservices.core.v3

## Class SelectGetPatientAuditTrailType

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v3.SelectGetPatientAuditTrailType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:10:21+01:00",
                 comments="JAXB RI v2.3.7")
      public class SelectGetPatientAuditTrailType
      extends Object
      implements Serializable

  Java class for SelectGetPatientAuditTrailType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SelectGetPatientAuditTrailType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v3}PatientIdType" minOccurs="0"/>
               <element name="transaction" type="{http://www.ehealth.fgov.be/hubservices/core/v3}transactionBaseType" minOccurs="0"/>
               <element name="hcparty" type="{http://www.ehealth.fgov.be/hubservices/core/v3}HCPartyIdType" minOccurs="0"/>
               <element name="begindate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="enddate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="searchtype" type="{http://www.ehealth.fgov.be/hubservices/core/v3}LocalSearchType" minOccurs="0"/>
               <element name="breaktheglass" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectGetPatientAuditTrailType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getBegindate()` Gets the value of the begindate property.
    `String` | `getBreaktheglass()` Gets the value of the breaktheglass property.
    `org.joda.time.DateTime` | `getEnddate()` Gets the value of the enddate property.
    `HCPartyIdType` | `getHcparty()` Gets the value of the hcparty property.
    `PatientIdType` | `getPatient()` Gets the value of the patient property.
    `LocalSearchType` | `getSearchtype()` Gets the value of the searchtype property.
    `TransactionBaseType` | `getTransaction()` Gets the value of the transaction property.
    `void` | `setBegindate(org.joda.time.DateTime value)` Sets the value of the begindate property.
    `void` | `setBreaktheglass(String value)` Sets the value of the breaktheglass property.
    `void` | `setEnddate(org.joda.time.DateTime value)` Sets the value of the enddate property.
    `void` | `setHcparty(HCPartyIdType value)` Sets the value of the hcparty property.
    `void` | `setPatient(PatientIdType value)` Sets the value of the patient property.
    `void` | `setSearchtype(LocalSearchType value)` Sets the value of the searchtype property.
    `void` | `setTransaction(TransactionBaseType value)` Sets the value of the transaction property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectGetPatientAuditTrailType

          public SelectGetPatientAuditTrailType()

  - ### Method Detail

    - #### getPatient

          public PatientIdType getPatient()

      Gets the value of the patient property.
      Returns:
        possible object is `PatientIdType`

    - #### setPatient

          public void setPatient(PatientIdType value)

      Sets the value of the patient property.
      Parameters:
        `value` - allowed object is `PatientIdType`

    - #### getTransaction

          public TransactionBaseType getTransaction()

      Gets the value of the transaction property.
      Returns:
        possible object is `TransactionBaseType`

    - #### setTransaction

          public void setTransaction(TransactionBaseType value)

      Sets the value of the transaction property.
      Parameters:
        `value` - allowed object is `TransactionBaseType`

    - #### getHcparty

          public HCPartyIdType getHcparty()

      Gets the value of the hcparty property.
      Returns:
        possible object is `HCPartyIdType`

    - #### setHcparty

          public void setHcparty(HCPartyIdType value)

      Sets the value of the hcparty property.
      Parameters:
        `value` - allowed object is `HCPartyIdType`

    - #### getBegindate

          public org.joda.time.DateTime getBegindate()

      Gets the value of the begindate property.
      Returns:
        possible object is `String`

    - #### setBegindate

          public void setBegindate(org.joda.time.DateTime value)

      Sets the value of the begindate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEnddate

          public org.joda.time.DateTime getEnddate()

      Gets the value of the enddate property.
      Returns:
        possible object is `String`

    - #### setEnddate

          public void setEnddate(org.joda.time.DateTime value)

      Sets the value of the enddate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSearchtype

          public LocalSearchType getSearchtype()

      Gets the value of the searchtype property.
      Returns:
        possible object is `LocalSearchType`

    - #### setSearchtype

          public void setSearchtype(LocalSearchType value)

      Sets the value of the searchtype property.
      Parameters:
        `value` - allowed object is `LocalSearchType`

    - #### getBreaktheglass

          public String getBreaktheglass()

      Gets the value of the breaktheglass property.
      Returns:
        possible object is `String`

    - #### setBreaktheglass

          public void setBreaktheglass(String value)

      Sets the value of the breaktheglass property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPHYSICIAN 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.